Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## javax.faces.component.html
Enum HtmlOutputLabel.PropertyKeys

    java.lang.Object
      java.lang.Enum<HtmlOutputLabel.PropertyKeys>
          javax.faces.component.html.HtmlOutputLabel.PropertyKeys

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<HtmlOutputLabel.PropertyKeys>

Enclosing class:
  HtmlOutputLabel

    protected static enum HtmlOutputLabel.PropertyKeys

extends java.lang.Enum<HtmlOutputLabel.PropertyKeys>

Enum Constant Summary
`accesskey`
`dir`
`escape`
`forVal`
`lang`
`onblur`
`onclick`
`ondblclick`
`onfocus`
`onkeydown`
`onkeypress`
`onkeyup`
`onmousedown`
`onmousemove`
`onmouseout`
`onmouseover`
`onmouseup`
`style`
`styleClass`
`tabindex`
`title`

Method Summary
`java.lang.String` | `toString()`
`static HtmlOutputLabel.PropertyKeys` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static HtmlOutputLabel.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### accesskey

    public static final HtmlOutputLabel.PropertyKeys accesskey

### dir

    public static final HtmlOutputLabel.PropertyKeys dir

### escape

    public static final HtmlOutputLabel.PropertyKeys escape

### forVal

    public static final HtmlOutputLabel.PropertyKeys forVal

### lang

    public static final HtmlOutputLabel.PropertyKeys lang

### onblur

    public static final HtmlOutputLabel.PropertyKeys onblur

### onclick

    public static final HtmlOutputLabel.PropertyKeys onclick

### ondblclick

    public static final HtmlOutputLabel.PropertyKeys ondblclick

### onfocus

    public static final HtmlOutputLabel.PropertyKeys onfocus

### onkeydown

    public static final HtmlOutputLabel.PropertyKeys onkeydown

### onkeypress

    public static final HtmlOutputLabel.PropertyKeys onkeypress

### onkeyup

    public static final HtmlOutputLabel.PropertyKeys onkeyup

### onmousedown

    public static final HtmlOutputLabel.PropertyKeys onmousedown

### onmousemove

    public static final HtmlOutputLabel.PropertyKeys onmousemove

### onmouseout

    public static final HtmlOutputLabel.PropertyKeys onmouseout

### onmouseover

    public static final HtmlOutputLabel.PropertyKeys onmouseover

### onmouseup

    public static final HtmlOutputLabel.PropertyKeys onmouseup

### style

    public static final HtmlOutputLabel.PropertyKeys style

### styleClass

    public static final HtmlOutputLabel.PropertyKeys styleClass

### tabindex

    public static final HtmlOutputLabel.PropertyKeys tabindex

### title

    public static final HtmlOutputLabel.PropertyKeys title

Method Detail

### values

    public static HtmlOutputLabel.PropertyKeys[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (HtmlOutputLabel.PropertyKeys c : HtmlOutputLabel.PropertyKeys.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static HtmlOutputLabel.PropertyKeys valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<HtmlOutputLabel.PropertyKeys>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.